## org.apache.cassandra.utils
Class MurmurHash

    java.lang.Object
      org.apache.cassandra.utils.MurmurHash

    public class MurmurHash

extends java.lang.Object

This is a very fast, non-cryptographic hash suitable for general hash-based lookup. See http://murmurhash.googlepages.com/ for more details.

The C version of MurmurHash 2.0 found at that site was ported to Java by Andrzej Bialecki (ab at getopt org).

Constructor Summary
`MurmurHash()`

Method Summary
`int` `hash(byte[] data, int length, int seed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MurmurHash

    public MurmurHash()

Method Detail

### hash

    public int hash(byte[] data,
                    int length,
                    int seed)

Copyright © 2010 The Apache Software Foundation